Subject: bug#22789: 25.1.50; In last master build https connections stop working

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Mar 2016 17:53:47 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  Alain Schneble <[email-masked]>,  [email-masked]
> Date: Wed, 02 Mar 2016 01:12:21 +1100
> 
> Anyway, all this async DNS/TLS stuff can probably be taken out of
> wait_reading_process_output completely, and just be run from the
> proposed new timer thing...  That'll be cleaner, too.

Not sure I understand: you want to launch a timer from C?  And you
want to have its function to do nothing but sit-for, or something
similar?  That doesn't sound like very clean to me, but maybe I'm
missing something.

I think adding simple logic in the wait_reading_process_output loop to
reduce the timeout for 'pselect', that I suggested in my previous
message to this thread is simpler and cleaner.